DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# ImageReadLSM

Read Zeiss LSM image from file (in dipIO)

## SYNOPSIS

`#include "dipio_lsm.h"`

dip_Error dipio_ImageReadLSM ( image, filename, offset, roisize, sampling, imInfo, resources )

## FUNCTION

This function reads the image in the Zeiss LSM file and puts it in `image`. `image` must be allocated before calling this function. Depending on the recording mode and the number of channels recorded, an image with 2 to 5 dimensions is returned. If multiple channels were recorded, they will be put along the last dimension (which can be either the third, fourth or fifth). The "stack", "time series plane" ans "time series z-scan" recording modes return a 3D image, the "time series stack" returns a 4D image, all other modes return a 2D image (including the "line" mode).

`imInfo->physDims` contains information on the distance between pixels. `resources` is only used to allocate the `imInfo` structure, so if `imInfo` is 0, `resources` can be 0 too.

`offset`, `roisize` and `sampling` define a region of interest to read in. See the comments in `ImageReadROI` for more information on this. Note that the channel dimension is part of this ROI.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `image` | Output image
`dip_String` | `filename` | File name
`dip_IntegerArray` | `offset` | ROI offset
`dip_IntegerArray` | `roisize` | ROI size
`dip_IntegerArray` | `sampling` | ROI sampling rate
`dipio_ImageFileInformation*` | `imInfo` | Image file information structure
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SOFTWARE

This function uses `libtiff` (version 3.6.1 or later), which supports the TIFF specification revision 6.0. Copyright (c)1988-1997 Sam Leffler and Copyright (c)1991-1997 Silicon Graphics, Inc.

This function uses `zlib` (version 1.1.4 or later). Copyright (c)1995-2002 Jean-loup Gailly and Mark Adler

## SEE ALSO

`ImageRead`, `ImageReadROI`, `ImageIsLSM`

DIPlib on-line documentation | Function reference | Global function index